## waybackpy 3.0.6

=== requirements.txt ===
click
requests
urllib3

=== debian/changelog ===
waybackpy (3.0.6-0kali2) kali-dev; urgency=medium

  * Initial release

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 19 Apr 2024 10:54:12 +0200

=== debian/control ===
Source: waybackpy
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Arslan Masood <contact@arszilla.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-click,
 python3-requests,
 python3-setuptools,
 python3-urllib3,
Standards-Version: 4.6.2
Homepage: https://github.com/akamhy/waybackpy
Vcs-Browser: https://gitlab.com/kalilinux/packages/waybackpy
Vcs-Git: https://gitlab.com/kalilinux/packages/waybackpy.git

Package: waybackpy
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Access Wayback Machine's API using Python
 waybackpy is a Python package and a CLI tool that interfaces with the Wayback 
 Machine's APIs.
 .
 Internet Archive's Wayback Machine has 3 useful public APIs.
 .
     SavePageNow API (also known as Save API)
     CDX Server API
     Availability API
 .
 These three APIs can be accessed via the waybackpy either by importing it 
 from a Python file/module or from the command-line interface.

=== debian/rules ===
#!/usr/bin/make -f

# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME = waybackpy

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:

=== debian/tests/control ===
Test-Command: waybackpy --help
Restrictions: superficial

Test-Command: waybackpy -u https://kali.org/ -o
Restrictions: allow-stderr

Test-Command: waybackpy -u https://kali.org/ -n
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/waybackpy-$1\.tar\.gz/ \
  https://github.com/akamhy/waybackpy/tags .*/v?(\d\S+)\.tar\.gz
